package com.ruoyi.business.service;

import java.util.List;

import cn.hutool.core.date.DateTime;
import com.ruoyi.business.domain.TbUserMember;

/**
 * 我的套餐
Service接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface ITbUserMemberService 
{
    /**
     * 查询我的套餐

     * 
     * @param userMemId 我的套餐
主键
     * @return 我的套餐

     */
    public TbUserMember selectTbUserMemberByUserMemId(Long userMemId);

    /**
     * 查询我的套餐
列表
     * 
     * @param tbUserMember 我的套餐

     * @return 我的套餐
集合
     */
    public List<TbUserMember> selectTbUserMemberList(TbUserMember tbUserMember);

    /**
     * 新增我的套餐

     * 
     * @param tbUserMember 我的套餐

     * @return 结果
     */
    public int insertTbUserMember(TbUserMember tbUserMember);

    /**
     * 修改我的套餐

     * 
     * @param tbUserMember 我的套餐

     * @return 结果
     */
    public int updateTbUserMember(TbUserMember tbUserMember);

    /**
     * 批量删除我的套餐

     * 
     * @param userMemIds 需要删除的我的套餐
主键集合
     * @return 结果
     */
    public int deleteTbUserMemberByUserMemIds(String userMemIds);

    /**
     * 删除我的套餐
信息
     * 
     * @param userMemId 我的套餐
主键
     * @return 结果
     */
    public int deleteTbUserMemberByUserMemId(Long userMemId);

    int selectCount(DateTime yestoday, DateTime today);
}
